import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询工段资源组列表
export function listResourceGroup(query) {
  return request({
    url: baseUrl +  '/business/resourceGroup/list',
    method: 'get',
    params: query
  })
}

// 查询工段资源组详细
export function getResourceGroup(id) {
  return request({
    url: baseUrl +  '/business/resourceGroup/' + id,
    method: 'get'
  })
}

// 新增工段资源组
export function addResourceGroup(data) {
  return request({
    url: baseUrl +  '/business/resourceGroup',
    method: 'post',
    data: data
  })
}

// 修改工段资源组
export function updateResourceGroup(data) {
  return request({
    url: baseUrl +  '/business/resourceGroup',
    method: 'put',
    data: data
  })
}

// 删除工段资源组
export function delResourceGroup(id) {
  return request({
    url: baseUrl +  '/business/resourceGroup/' + id,
    method: 'delete'
  })
}
